# wxSizeEvent Class Reference
[Events]

`#include <wx/event.h>`

Inheritance diagram for wxSizeEvent:
[legend]

## Detailed Description

A size event holds information about size change events of wxWindow.

The EVT_SIZE handler function will be called when the window has been resized.

You may wish to use this for frames to resize their child windows as appropriate.

Note that the size passed is of the whole window: call wxWindow::GetClientSize() for the area which may be used by the application.

When a window is resized, usually only a small part of the window is damaged and you may only need to repaint that area. However, if your drawing depends on the size of the window, you may need to clear the DC explicitly and repaint the whole window. In which case, you may need to call wxWindow::Refresh to invalidate the entire window.

## Events using this class

The following event handler macros redirect the events to member function handlers 'func' with prototypes like:

void handlerFuncName(wxSizeEvent& event)
Event macros:

- EVT_SIZE(func):
  Process a `wxEVT_SIZE` event.

##

Library: wxCore

Category: Events

See also:
  wxSize, Events and Event Handling

## Public Member Functions
| wxSizeEvent (const wxSize &sz, int id=0)
| Constructor.
wxSize | GetSize () const
| Returns the entire size of the window generating the size change event.
void | SetSize (wxSize size)
wxRect | GetRect () const
void | SetRect (wxRect rect)

List of all members.

## Constructor & Destructor Documentation

wxSizeEvent::wxSizeEvent | ( | const wxSize & | sz,
|  | int | id = `0` |
| ) |  |  |

Constructor.

## Member Function Documentation

wxRect wxSizeEvent::GetRect | ( |  | ) | const

wxSize wxSizeEvent::GetSize | ( |  | ) | const

Returns the entire size of the window generating the size change event.

This is the new total size of the window, i.e. the same size as would be returned by wxWindow::GetSize() if it were called now. Use wxWindow::GetClientSize() if you catch this event in a top level window such as wxFrame to find the size available for the window contents.

void wxSizeEvent::SetRect | ( | wxRect | rect | ) |

void wxSizeEvent::SetSize | ( | wxSize | size | ) |

|  | [ top ]